/*
 * Initial main.c file generated by Glade. Edit as required.
 * Glade will not overwrite this file.
 */

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <gtk/gtk.h>

#include "interface.h"
#include "support.h"

#include "gequel.h"

static Params p;
/*
 * Need it global to be able to force a browser refresh from eg a callback
 * from a record window and also for fileselector callback to obtain
 * application data : the latter can either pass the fileselector (for the
 * selected filename) or the Params structure but not both, sigh ...
 * 
 *  Don't worry : in all other cases p is obtained as a function argument ;-) 
 */

/* // Found another way to solve the fileselect problem by using 2 callbacks
Params *getParams()
{
   return (&p);
}
*/

void refreshBrowser()
{
   showRecords(&p);
}

int
main (int argc, char *argv[])
{
   
   gtk_set_locale ();
   gtk_init (&argc, &argv);
   
   add_pixmap_directory (PACKAGE_DATA_DIR "/pixmaps");
   add_pixmap_directory (PACKAGE_SOURCE_DIR "/pixmaps");
   add_pixmap_directory ("/usr/local/include/X11/pixmaps");
   
   /*
    * The following code was added by Glade to create one of each component
    * (except popup menus), just so that you see something after building
    * the project. Delete any components that you don't want shown initially.
    */
   p.mainwindow      = create_mainwindow ();
   gtk_widget_show (p.mainwindow);
   
   /* We can't hook the signals inside glade, because it is necessary that
    the Params structure is hooked up to the user_data argument ! */
   connectMainWindowSignals(p.mainwindow,&p);
   /* Store widgets we may need later in the code in Params structure */
   storeWidgets(p.mainwindow,&p);
   /* Set cmdline parameters in GUI (note that mainwindow MUST exist here !) */
   gequelInit(&p, argc, argv);
   
   gtk_main ();
   return 0;
}

